module boundupdt_i

 interface
subroutine boundupdt(params, an, anp, bn, bnp, cn, cnp, dn, dnp, phip)
  use input_params
  real*8, dimension(100)   :: params
  real*8, dimension(:,:,:) :: an, anp, bn, bnp, &
     cn, cnp, dn, dnp, phip
  integer nx, ny, nz

 end subroutine 
 end interface 

 end module
